<template>
  <div class="grid replies">
    <comment-item
      v-for="replie in replies"
      :key="replie.id"
      :id="id"
      :reply-id="replie.id"
      :content="replie.content"
      :created-at="replie.createdAt"
      :score="replie.score"
      :user="replie.user"
      :replying-to="replie.replyingTo"
    >
    </comment-item>
  </div>
</template>

<script>
import CommentItem from "./CommentItem.vue";

export default {
  components: { CommentItem },
  props: ["id", "replies"],
};
</script>

<style scoped>
.replies {
  margin-left: 1rem;
  position: relative;
}
.replies::after {
  content: "";
  border-left: 2px solid var(--clr-neutral-300);
  height: 100%;
  position: absolute;
}
@media (min-width: 47em) {
  .replies {
    margin-left: 4rem;
  }
  .replies::after {
    left: -1rem;
  }
}
</style>
